--- title: "Create schedule" slug: "media-livestation-schedule-schedulecreate" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-schedule-schedulecreate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create schedule Available in Classic and VPC Create a streaming schedule for a VOD2LIVE channel. You can stream video files (*.mp4) uploaded to the Object Storage bucket live according to the specified start date and time. It can only be created when the channel is in the `READY` status. Note If schedules already exist for a channel, then you can't create additional schedules. You can register a new schedule after the scheduled streaming ends or you delete the pending schedule. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/vod/schedule | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-vodchannellist). - Channels with schedules can't be used. | | `startTime` | Integer | Required | Streaming start date and time - yyyyMMddHHmmss format (based on KST). - 10 minutes to 14 days from the time of the request can be entered. | | `vodList` | Array | Required | Streaming VOD list: [vodList](/docs/en/media-livestation-schedule-schedulecreate#vodList) - Only MP4 files are supported. - Up to 50 can be entered. | #### `vodList` The following describes `vodList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | Required | Object Storage bucket name - See [ListBuckets](/docs/en/storage-objectstorage-listbuckets). | | `filePath` | String | Required | Detailed path - Start with `/`. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/vod/schedule' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data '{ "channelId": "ls-20250820******-FdJkJ", "startTime": "20250820200000", "vodList": [ { "bucketName": "mybucket", "filePath": "/361570-1307727-202508191329.mp4" }, { "bucketName": "mybucket", "filePath": "/361570-1307605-202508190911.mp4" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.scheduleId` | Integer | - | Schedule ID - Required when querying, editing, and deleting schedules | | `content.channelId` | String | - | Channel ID | | `content.createdTime` | Integer | - | Schedule creation date and time (millisecond) - Unix timestamp format | | `content.startTime` | Integer | - | Streaming start date and time (millisecond) - Unix timestamp format | | `content.updatedTime` | Integer | - | Schedule update date and time (millisecond) - Unix timestamp format | | `content.status` | String | - | Schedule status - `CREATING` \| `PROCESSING` \| `PROCESSING_FAIL` \| `UPDATING` \| `READY` \| `FINISH` \| `DELETED` - `CREATING`: Creating - `PROCESSING`: Processing - `PROCESSING_FAIL`: Processing failed - `UPDATING`: Editing - `READY`: Ready - `FINISH`: Completed - `DELETED`: Deleted | | `content.vodList` | Array | - | Streaming VOD list | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "scheduleId": 1293, "channelId": "ls-20250820******-FdJkJ", "createdTime": 1755676617872, "startTime": 1755687600000, "updatedTime": 1755676617872, "status": "CREATING", "vodList": [ "/mybucket/361570-1307727-202508191329.mp4", "/mybucket/361570-1307605-202508190911.mp4" ] } } ```